// UI.cpp : 定义应用程序的入口点。
//

#include "framework.h"
#include "UI.h"


int APIENTRY wWinMain(_In_ HINSTANCE hInstance,
                     _In_opt_ HINSTANCE hPrevInstance,
                     _In_ LPWSTR    lpCmdLine,
                     _In_ int       nCmdShow)
{
    UNREFERENCED_PARAMETER(hPrevInstance);
    UNREFERENCED_PARAMETER(lpCmdLine);

    // 获取桌面窗口的句柄
    HWND desktopWnd = GetDesktopWindow();
    int result = MessageBox(desktopWnd, TEXT("10s后会退出PLM系统，立即退出点击确定..."), TEXT("警告"), MB_OKCANCEL | MB_ICONWARNING| MB_SYSTEMMODAL);
    return result==1 || result == 2 ? result:0;   //1：确定  2：取消
}
